
Foreman - Feature #21007

Templates API to mark a build as failed

09/19/2017 09:54 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Unattended installations   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1490850 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5292,

https://github.com/theforeman/communit

y-templates/pull/461

  

Description

If there is an error during the kickstart process there is currently no way to notify Satellite that the build has failed. Currently the only

option is to just not notify that the build completed.

Suggested Enhancement:

Add a state to the build process of "Failed" or "Errored" and have an API call that a kickstart can make back to Satellite to indicate

that the build has failed/errored.

The API call would be rendered in the template similarly as there is the foreman_url. Perhaps something lke foreman_url('built','fail',

:message => "Failed to install puppet") that would allow achieving this.

Related issues:

Related to Foreman - Feature #8780: Add a way to prevent reboot on failed deploy Duplicate 12/22/2014

Related to Foreman - Bug #24022: Encoding::UndefinedConversionError at failed... Closed 06/20/2018

Related to Foreman - Feature #24252: Intermediate provisioning step Rejected

Related to Smart Proxy - Feature #25390: Modify Templates API to proxy build ... Closed

Associated revisions

Revision 67110766 - 06/19/2018 02:13 PM - Lukas Zapletal

Fixes #21007 - new unattended action 'failed'

Revision dd6b6f0b - 01/29/2019 06:41 PM - Lukas Zapletal 

Refs #21007 - new failed call for kickstarts

History

#1 - 09/26/2017 11:49 AM - Ivan Necas

- Subject changed from Templates API to to mark a build as failed

 to Templates API to to mark a build as failed

- Target version set to 113

#2 - 03/05/2018 10:11 AM - Lukas Zapletal

- Related to Feature #8780: Add a way to prevent reboot on failed deploy added

#3 - 03/05/2018 01:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/5292 added
#4 - 03/05/2018 01:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/461 added

#5 - 06/19/2018 03:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 671107663166f18c102eb61f3f865186234e0cf0.

#6 - 06/19/2018 03:20 PM - Marek Hulán

- translation missing: en.field_release set to 353

#7 - 06/20/2018 06:55 PM - Timo Goebel

- Related to Bug #24022: Encoding::UndefinedConversionError at failed hosts call added

#8 - 07/14/2018 12:53 PM - Anonymous

- Related to Feature #24252: Intermediate provisioning step added

#9 - 08/07/2018 10:41 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Templates API to to mark a build as failed to Templates API to mark a build as failed

- Triaged set to No

#10 - 11/05/2018 11:56 AM - Lukas Zapletal

- Related to Feature #25390: Modify Templates API to proxy build as failed added
